GinqAstVisitor (Groovy 5.0.6)

Package: org.apache.groovy.ginq.dsl

## [Java] Interface GinqAstVisitor<R>

-     public interface GinqAstVisitor<R>

  Represents the visitor for AST of GINQ

  Type Parameters:
    `R` - the type of visit result
  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<String, String>` | `getConfiguration()`
    `` | `public void` | `setConfiguration(Map<String, String> configuration)`
    `` | `public R` | `visit(AbstractGinqExpression expression)`
    `` | `public R` | `visitFromExpression(FromExpression fromExpression)`
    `` | `public R` | `visitGinqExpression(GinqExpression ginqExpression)`
    `` | `public R` | `visitGroupExpression(GroupExpression groupExpression)`
    `` | `public R` | `visitHavingExpression(HavingExpression havingExpression)`
    `` | `public R` | `visitJoinExpression(JoinExpression joinExpression)`
    `` | `public R` | `visitLimitExpression(LimitExpression limitExpression)`
    `` | `public R` | `visitOnExpression(OnExpression onExpression)`
    `` | `public R` | `visitOrderExpression(OrderExpression orderExpression)`
    `` | `public R` | `visitSelectExpression(SelectExpression selectExpression)`
    `` | `public R` | `visitShutdownExpression(ShutdownExpression shutdownExpression)`
    `` | `public R` | `visitWhereExpression(WhereExpression whereExpression)`

- - ### Method Detail

    - #### public Map<String, String> getConfiguration()

    - #### public void setConfiguration(Map<String, String> configuration)

    - #### public R visit(AbstractGinqExpression expression)

    - #### public R visitFromExpression(FromExpression fromExpression)

    - #### public R visitGinqExpression(GinqExpression ginqExpression)

    - #### public R visitGroupExpression(GroupExpression groupExpression)

    - #### public R visitHavingExpression(HavingExpression havingExpression)

    - #### public R visitJoinExpression(JoinExpression joinExpression)

    - #### public R visitLimitExpression(LimitExpression limitExpression)

    - #### public R visitOnExpression(OnExpression onExpression)

    - #### public R visitOrderExpression(OrderExpression orderExpression)

    - #### public R visitSelectExpression(SelectExpression selectExpression)

    - #### public R visitShutdownExpression(ShutdownExpression shutdownExpression)

    - #### public R visitWhereExpression(WhereExpression whereExpression)